import requests
import sseclient

def stream_agent_response(prompt, session_id):
    url = f"http://127.0.0.1:8000/stream?prompt={prompt}&session_id={session_id}"
    # response = requests.get(url, stream=True)
    client = sseclient.SSEClient(url) 
    print("AI输出：", end="", flush=True)
    for event in client:
        print(event.data, end="", flush=True)
        if "？" in event.data:
            break

if __name__ == "__main__":
    # 示例：多轮对话
    session_id = "user123"
    while True:
        user_input = input("你: ")
        if user_input.strip().lower() in ["exit", "quit"]:
            break
        stream_agent_response(user_input, session_id)
        print()  # 换行 